Kerbal Space Program - Bug #3922

Game-breaking bug
01/01/2015 07:37 PM - NomenNescio

Status: Duplicate Start date: 01/01/2015
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

| started up a new save with the Beta than ever update, and after few hours of playing the KSC menu would break. | would be unable
to enter certain facilities or leave certain facilities. | enter the tracking station and then | can't "fly" any of my crafts or debris.

| started a new save and once again it broke the same way after a few hours of playing. Restarting the game does nothing.

My installed mods are as follows:

Editor Extensions

PlanetShine

Ven's Part Revamp

Protractor Continued - Rendezvous Plugin

Related issues:
Is duplicate of Kerbal Space Program - Bug #3243: Kerbals missing from the Cr... Closed 09/26/2014

History

#1 - 01/01/2015 08:49 PM - RexKramer
- Status changed from New to Need More Info

- Severity changed from Critical to High

This sounds like bug #3243. Please take a look at that bug.

The root cause appears to be when a Kerbal is removed from the Crew Roster, but has logged an achievement or milestone of some sort. There are
a couple of ways a Kerbal could be removed from the roster, most common is probably firing them

Here's a better explanation of the issue, along with a couple of solutions.
http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

#2 - 01/02/2015 07:31 AM - Squelch
- Status changed from Need More Info to Duplicate

- % Done changed from 0 to 100

This does indeed look like a duplicate report.

Please redirect any further information to the related report of #3162 so we can collate all possible triggers into one place.
